[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONData.JSONType

The native JSON data type represented by this object

## Declaration

Source position: fpjson.pp line 149

`public class function TJSONData.JSONType: TJSONtype; virtual;`

## Function result

The native JSON data type

## Description

JSONType indicates the JSON data type that this object will be written as, or the JSON data type that instantiated this object. In TJSONData, this function returns jtUnknown. Descendents override this method to return the correct data type.

## See also

TJSONtype |  | Possible types of JSON data